package com.app.linkv.example;

import android.app.Activity;
import android.content.Context;
import android.widget.Toast;

import com.app.common.util.ToastUtils;
import com.app.livesdk.IShareCallback;
import com.app.livesdk.LinkliveInterfaceAbs;
import com.app.livesdk.LinkliveShareInfo;
import com.app.livesdk.OnTermConfirmCallback;
import com.kxsimon.video.chat.matchmaker.listener.OnEditGenderCallback;

public class LinkliveImpl extends LinkliveInterfaceAbs {

    @Override
    public void onBuyGoldWithOrderId(Activity activity, int source, int requestCode, String orderId) {
        ToastUtils.showToast(activity, "Need to be realized by the business party", Toast.LENGTH_LONG);
    }

    @Override
    public void agreePrivacyPolicyWithCompletion(Activity activity, OnTermConfirmCallback confirmCallback) {
        confirmCallback.onTermConfirm(true);
    }

    @Override
    public void startLogin(Context activity, int flag, int from) {
        ToastUtils.showToast(activity, "please sign in", Toast.LENGTH_LONG);
    }

    @Override
    public void showSettingGenderView(Context context, OnEditGenderCallback callback) {
        callback.onResult(true,1);
    }

    @Override
    public void shareWithContent(Activity activity, LinkliveShareInfo shareInfo, IShareCallback callback) {

    }
}
